Index: uspace/drv/uhci-hcd/utils/device_keeper.c
===================================================================
--- uspace/drv/uhci-hcd/utils/device_keeper.c	(revision c0964800069618b93c49bed6787bcb8c0dbc6df0)
+++ uspace/drv/uhci-hcd/utils/device_keeper.c	(revision 2ef036ae451a0d96a7d83e24905ef1030c236ab3)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup drvusbuhci
+/** @addtogroup drvusbuhcihc
  * @{
  */
@@ -40,7 +40,9 @@
 
 /*----------------------------------------------------------------------------*/
-/** Initializes device keeper structure.
+/** Initialize device keeper structure.
  *
  * @param[in] instance Memory place to initialize.
+ *
+ * Set all values to false/0.
  */
 void device_keeper_init(device_keeper_t *instance)
@@ -58,5 +60,5 @@
 }
 /*----------------------------------------------------------------------------*/
-/** Attempts to obtain address 0, blocks.
+/** Attempt to obtain address 0, blocks.
  *
  * @param[in] instance Device keeper structure to use.
@@ -76,5 +78,5 @@
 }
 /*----------------------------------------------------------------------------*/
-/** Attempts to obtain address 0, blocks.
+/** Attempt to obtain address 0, blocks.
  *
  * @param[in] instance Device keeper structure to use.
@@ -90,9 +92,11 @@
 }
 /*----------------------------------------------------------------------------*/
-/** Checks setup data for signs of toggle reset.
+/** Check setup packet data for signs of toggle reset.
  *
  * @param[in] instance Device keeper structure to use.
  * @param[in] target Device to receive setup packet.
  * @param[in] data Setup packet data.
+ *
+ * Really ugly one.
  */
 void device_keeper_reset_if_need(
@@ -105,4 +109,5 @@
 	    || !instance->devices[target.address].occupied) {
 		fibril_mutex_unlock(&instance->guard);
+		usb_log_error("Invalid data when checking for toggle reset.\n");
 		return;
 	}
@@ -130,5 +135,5 @@
 }
 /*----------------------------------------------------------------------------*/
-/** Gets current value of endpoint toggle.
+/** Get current value of endpoint toggle.
  *
  * @param[in] instance Device keeper structure to use.
@@ -144,8 +149,8 @@
 	    || target.address >= USB_ADDRESS_COUNT || target.address < 0
 	    || !instance->devices[target.address].occupied) {
+		usb_log_error("Invalid data when asking for toggle value.\n");
 		ret = EINVAL;
 	} else {
-		ret =
-		    (instance->devices[target.address].toggle_status
+		ret = (instance->devices[target.address].toggle_status
 		        >> target.endpoint) & 1;
 	}
@@ -154,9 +159,9 @@
 }
 /*----------------------------------------------------------------------------*/
-/** Sets current value of endpoint toggle.
+/** Set current value of endpoint toggle.
  *
  * @param[in] instance Device keeper structure to use.
  * @param[in] target Device and endpoint used.
- * @param[in] toggle Current toggle value.
+ * @param[in] toggle Toggle value.
  * @return Error code.
  */
@@ -170,4 +175,5 @@
 	    || target.address >= USB_ADDRESS_COUNT || target.address < 0
 	    || !instance->devices[target.address].occupied) {
+		usb_log_error("Invalid data when setting toggle value.\n");
 		ret = EINVAL;
 	} else {
@@ -183,5 +189,5 @@
 }
 /*----------------------------------------------------------------------------*/
-/** Gets a free USB address
+/** Get a free USB address
  *
  * @param[in] instance Device keeper structure to use.
@@ -216,5 +222,5 @@
 }
 /*----------------------------------------------------------------------------*/
-/** Binds USB address to devman handle.
+/** Bind USB address to devman handle.
  *
  * @param[in] instance Device keeper structure to use.
@@ -234,5 +240,5 @@
 }
 /*----------------------------------------------------------------------------*/
-/** Releases used USB address.
+/** Release used USB address.
  *
  * @param[in] instance Device keeper structure to use.
@@ -251,5 +257,5 @@
 }
 /*----------------------------------------------------------------------------*/
-/** Finds USB address associated with the device
+/** Find USB address associated with the device
  *
  * @param[in] instance Device keeper structure to use.
@@ -274,5 +280,5 @@
 }
 /*----------------------------------------------------------------------------*/
-/** Gets speed associated with the address
+/** Get speed associated with the address
  *
  * @param[in] instance Device keeper structure to use.
